<?php

namespace Lc\SovBundle\Factory\Site;

use Lc\SovBundle\Container\Site\PageContainer;
use Lc\SovBundle\Factory\AbstractFactory;
use Lc\SovBundle\Model\Site\PageInterface;

class PageFactory extends AbstractFactory implements PageFactoryInterface
{
    public function create(): PageInterface
    {
        $class = PageContainer::getEntityFqcn();
        $page = new $class;

        $page->setStatus(1);

        return $page;
    }
}
